part of unify;

abstract class UnifyApiEndpoints {
  factory UnifyApiEndpoints.standard(String domain) {
    return new TeslaStandardApiEndpoints(domain);
  }

  Uri get userApiUrl;
  Uri get kalturaUrl;
  bool get enableProxyMode;
}

class TeslaStandardApiEndpoints implements UnifyApiEndpoints {
  TeslaStandardApiEndpoints(this.domain);
  final String domain;
  @override
  Uri get userApiUrl =>
      Uri.parse("https://$domain/" ?? "https://mobile.myunifycrm.com/");

  @override
  Uri get kalturaUrl => Uri.parse("https://www.kaltura.com/api_v3/service/");

  @override
  bool get enableProxyMode => false;
}
